﻿namespace HeroldIT.Dnn.JQuery.Extras
{
    /// <summary>
    /// Defines event types that can be used with the <see cref="WatermarkExtender"/>'s
    /// <see cref="WatermarkExtender.Event"/> property.
    /// </summary>
    public enum WatermarkEvent
    {
        /// <summary>
        /// Fires watermark logic when the targeted control gets and loses focus.
        /// </summary>
        [SerializeAs("focus")]
        Focus = 0,

        /// <summary>
        /// Fires watermark logic when a user types in the targeted control.
        /// </summary>
        [SerializeAs("keypress")]
        Keypress = 1
    }
}
