﻿namespace HeroldIT.Dnn.JQuery
{
    /// <summary>
    /// Defines an interface enabling any custom object to be serialized using
    /// the <see cref="SettingSerializer"/>.
    /// </summary>
    public interface ISettingSerializable
    {
        /// <summary>
        /// Gets whether to include the setting during serialization.
        /// </summary>
        bool IncludeSetting { get; }

        /// <summary>
        /// Generates the Json notation for the object.
        /// </summary>
        /// <returns>The Json notation for the object.</returns>
        string ToJson();
    }
}
