﻿using System;
using System.Collections.Generic;

namespace HeroldIT.Dnn.JQuery
{
    /// <summary>
    /// EventArgs for events dealing with jQuery settings.
    /// </summary>
    public class SettingsEventArgs : EventArgs
    {
        #region properties

        private readonly Dictionary<string, object> settings;

        /// <summary>
        /// The Dictionary containing the settings.
        /// </summary>
        public Dictionary<string, object> Settings
        {
            get { return this.settings; }
        }

        #endregion

        #region constructors

        /// <summary>
        /// Creates new <see cref="SettingsEventArgs"/>.
        /// </summary>
        /// <param name="settings">The settings to pass to the event.</param>
        public SettingsEventArgs(Dictionary<string, object> settings)
        {
            this.settings = settings;
        }

        #endregion
    }
}
