namespace HeroldIT.Dnn.JQuery.UI
{
    /// <summary>
    /// Specifies options for the <see cref="DatePicker.ShowOn"/> property.
    /// </summary>
    public enum DatePickerShowOn
    {
        /// <summary>
        /// The <see cref="DatePicker"/> should appear when the field is focussed.
        /// </summary>
        [SerializeAs("focus")]
        Focus = 0,

        /// <summary>
        /// The <see cref="DatePicker"/> should appear when a button is pressed.
        /// </summary>
        [SerializeAs("button")]
        Button = 1,

        /// <summary>
        /// The <see cref="DatePicker"/> should appear when either the field is
        /// focussed or a button is pressed.
        /// </summary>
        [SerializeAs("both")]
        Both = 2
    }
}