﻿namespace HeroldIT.Dnn.JQuery.UI
{
    /// <summary>
    /// Specifies options for the <see cref="Dialog.Position"/> property.
    /// </summary>
    public enum DialogPosition
    {
        /// <summary>
        /// The <see cref="Dialog"/> should appear in the center of the viewport.
        /// </summary>
        [SerializeAs("center")]
        Center = 0,

        /// <summary>
        /// The <see cref="Dialog"/> should appear at the left of the viewport.
        /// </summary>
        [SerializeAs("left")]
        Left = 1,

        /// <summary>
        /// The <see cref="Dialog"/> should appear at the right of the viewport.
        /// </summary>
        [SerializeAs("right")]
        Right = 2,

        /// <summary>
        /// The <see cref="Dialog"/> should appear at the top of the viewport.
        /// </summary>
        [SerializeAs("top")]
        Top = 3,

        /// <summary>
        /// The <see cref="Dialog"/> should appear at the bottom of the viewport.
        /// </summary>
        [SerializeAs("bottom")]
        Bottom = 4,

        /// <summary>
        /// The <see cref="Dialog"/> should appear at the location specified by the
        /// <see cref="Dialog.CustomPosition"/> property.
        /// </summary>
        Custom = 5
    }
}
