﻿namespace HeroldIT.Dnn.JQuery.UI
{
    /// <summary>
    /// Options for the <see cref="Slider.Range"/> property of the <see cref="Slider"/> control.
    /// </summary>
    public enum SliderRange
    {
        /// <summary>
        /// No range is displayed.
        /// </summary>
        [SerializeAs(false)]
        None = 0,

        /// <summary>
        /// Display a range from the minimum value to the selected value.
        /// </summary>
        [SerializeAs("min")]
        Min = 1,

        /// <summary>
        /// Display a range from the maximum value to the selected value.
        /// </summary>
        [SerializeAs("max")]
        Max = 2,

        /// <summary>
        /// Display two handles for a lower and higher value.
        /// </summary>
        [SerializeAs(true)]
        Range = 3
    }
}
